package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 院校录取数据对象 mall_school_accept_record
 *
 * @author lsm
 * @date 2023-10-19
 */
public class MallSchoolAcceptRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 院校录取数据表id */
    private Long schoolAcceptRecordId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 学校名称 */
    private String schoolName;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 批次名 */
    private String batchName;

    /** 招生数量 */
    @Excel(name = "招生数量")
    private Integer acceptNum;

    /** 年份 */
    @Excel(name = "年份")
    private String acceptYear;

    /** 投档最低分 */
    @Excel(name = "投档最低分")
    private BigDecimal lowestScore;

    /** 录取最低分 */
    private BigDecimal acceptLowest;

    /** 录取原则 */
    @Excel(name = "录取原则")
    private Long acceptRuleId;

    /** 录取原则字符串 */
    private String ruleStr;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0- 正常,1-删除) */
    @Excel(name = "删除标记(0- 正常,1-删除)")
    private String delFlag;

    /** 文化最低分 */
    private BigDecimal cultureLowest;

    /** 专业最低分 */
    private BigDecimal majorLowest;

    /** 学科0-文科 ,1-理科 */
    private String subjectType;

    /** 是否预估数据 */
    private Integer isReference;

    public Integer getIsReference() {
        return isReference;
    }

    public void setIsReference(Integer isReference) {
        this.isReference = isReference;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public BigDecimal getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(BigDecimal cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public BigDecimal getMajorLowest() {
        return majorLowest;
    }

    public void setMajorLowest(BigDecimal majorLowest) {
        this.majorLowest = majorLowest;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public void setSchoolAcceptRecordId(Long schoolAcceptRecordId)
    {
        this.schoolAcceptRecordId = schoolAcceptRecordId;
    }

    public Long getSchoolAcceptRecordId()
    {
        return schoolAcceptRecordId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setAcceptNum(Integer acceptNum)
    {
        this.acceptNum = acceptNum;
    }

    public Integer getAcceptNum()
    {
        return acceptNum;
    }
    public void setAcceptYear(String acceptYear)
    {
        this.acceptYear = acceptYear;
    }

    public String getAcceptYear()
    {
        return acceptYear;
    }
    public void setLowestScore(BigDecimal lowestScore)
    {
        this.lowestScore = lowestScore;
    }

    public BigDecimal getLowestScore()
    {
        return lowestScore;
    }
    public void setAcceptRuleId(Long acceptRuleId)
    {
        this.acceptRuleId = acceptRuleId;
    }

    public Long getAcceptRuleId()
    {
        return acceptRuleId;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolAcceptRecordId", getSchoolAcceptRecordId())
            .append("schoolId", getSchoolId())
            .append("batchId", getBatchId())
            .append("acceptNum", getAcceptNum())
            .append("acceptYear", getAcceptYear())
            .append("lowestScore", getLowestScore())
            .append("acceptLowest", getAcceptLowest())
            .append("acceptRuleId", getAcceptRuleId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .append("cultureLowest", getCultureLowest())
            .append("majorLowest", getMajorLowest())
            .toString();
    }
}
